dht::net::DhtProtocolException Class Reference
Inheritance diagram for dht::net::DhtProtocolException:
[legend]
Collaboration diagram for dht::net::DhtProtocolException:
[legend]

## Public Member Functions

| DhtProtocolException (uint16_t code, const std::string &msg="", InfoHash failing_node_id={})
std::string | getMsg () const
uint16_t | getCode () const
const InfoHash | getNodeId () const
Public Member Functions inherited from dht::DhtException
| DhtException (const std::string &str="")

## Static Public Attributes

static const constexpr uint16_t | NON_AUTHORITATIVE_INFORMATION {203}
static const constexpr uint16_t | UNAUTHORIZED {401}
static const constexpr uint16_t | NOT_FOUND {404}
static const constexpr uint16_t | INVALID_TID_SIZE {421}
static const constexpr uint16_t | UNKNOWN_TID {422}
static const constexpr uint16_t | WRONG_NODE_INFO_BUF_LEN {423}
static const std::string | GET_NO_INFOHASH
static const std::string | LISTEN_NO_INFOHASH
static const std::string | LISTEN_WRONG_TOKEN
static const std::string | PUT_NO_INFOHASH
static const std::string | PUT_WRONG_TOKEN
static const std::string | STORAGE_NOT_FOUND
static const std::string | PUT_INVALID_ID

## Detailed Description

Definition at line 49 of file network_engine.h.

## Constructor & Destructor Documentation

## DhtProtocolException()

dht::net::DhtProtocolException::DhtProtocolException | ( | uint16_t | code,
|  | const std::string & | msg = `""`,
|  | InfoHash | failing_node_id = `{}`
| ) |  |

inline

Definition at line 68 of file network_engine.h.

## Member Function Documentation

## getCode()

uint16_t dht::net::DhtProtocolException::getCode | ( |  | ) | const

inline

Definition at line 72 of file network_engine.h.

## getMsg()

std::string dht::net::DhtProtocolException::getMsg | ( |  | ) | const

inline

Definition at line 71 of file network_engine.h.

## getNodeId()

const InfoHash dht::net::DhtProtocolException::getNodeId | ( |  | ) | const

inline

Definition at line 73 of file network_engine.h.

## Member Data Documentation

## GET_NO_INFOHASH

const std::string dht::net::DhtProtocolException::GET_NO_INFOHASH

static

Definition at line 60 of file network_engine.h.

## INVALID_TID_SIZE

const constexpr uint16_t dht::net::DhtProtocolException::INVALID_TID_SIZE {421}

static constexpr

Definition at line 56 of file network_engine.h.

## LISTEN_NO_INFOHASH

const std::string dht::net::DhtProtocolException::LISTEN_NO_INFOHASH

static

Definition at line 61 of file network_engine.h.

## LISTEN_WRONG_TOKEN

const std::string dht::net::DhtProtocolException::LISTEN_WRONG_TOKEN

static

Definition at line 62 of file network_engine.h.

## NON_AUTHORITATIVE_INFORMATION

const constexpr uint16_t dht::net::DhtProtocolException::NON_AUTHORITATIVE_INFORMATION {203}

static constexpr

Definition at line 52 of file network_engine.h.

## NOT_FOUND

const constexpr uint16_t dht::net::DhtProtocolException::NOT_FOUND {404}

static constexpr

Definition at line 54 of file network_engine.h.

## PUT_INVALID_ID

const std::string dht::net::DhtProtocolException::PUT_INVALID_ID

static

Definition at line 66 of file network_engine.h.

## PUT_NO_INFOHASH

const std::string dht::net::DhtProtocolException::PUT_NO_INFOHASH

static

Definition at line 63 of file network_engine.h.

## PUT_WRONG_TOKEN

const std::string dht::net::DhtProtocolException::PUT_WRONG_TOKEN

static

Definition at line 64 of file network_engine.h.

## STORAGE_NOT_FOUND

const std::string dht::net::DhtProtocolException::STORAGE_NOT_FOUND

static

Definition at line 65 of file network_engine.h.

## UNAUTHORIZED

const constexpr uint16_t dht::net::DhtProtocolException::UNAUTHORIZED {401}

static constexpr

Definition at line 53 of file network_engine.h.

## UNKNOWN_TID

const constexpr uint16_t dht::net::DhtProtocolException::UNKNOWN_TID {422}

static constexpr

Definition at line 57 of file network_engine.h.

## WRONG_NODE_INFO_BUF_LEN

const constexpr uint16_t dht::net::DhtProtocolException::WRONG_NODE_INFO_BUF_LEN {423}

static constexpr

Definition at line 58 of file network_engine.h.

The documentation for this class was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/network_engine.h